---
type: api
title: Get saved objects
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4493/api/doc/kibana/v9/operation/operation-post-saved-objects-bulk-get
resource: https://www.elastic.co/elastic/docs-builder/docs/4493/api/doc/kibana/v9/operation/operation-post-saved-objects-bulk-get
products:
  - Kibana
---

# Get saved objects

deprecated

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/saved_objects/_bulk_get`
- `POST` `/s/{space_id}/api/saved_objects/_bulk_get`

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

WARNING: This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.

Retrieves multiple Kibana saved objects by type and ID in a single request.

For transferring or backing up saved objects, prefer the export API (`POST /api/saved_objects/_export`).

## Authentication

- Api key: `Authorization: <value>`
  These APIs use key-based authentication. You must create an API key and use the encoded value in the request header. For example: `Authorization: ApiKey base64AccessApiKey`
- Basic: `Authorization: Basic <credentials>`

## Header parameters

- `kbn-xsrf` (string) — required
  A required header to protect against CSRF attacks

## Request body

`application/json`

Type: `object[] · max items: 10000`

An array; each item has these fields:

- `fields` (string[] · max items: 100) — optional
- `id` (string) — required
- `namespaces` (string[] · max items: 100) — optional
- `type` (string) — required

## Responses

#### `200`

A bulk get response.

`application/json`

#### `400`

A bad request.

`application/json`

## Code examples

#### Console

```console
POST kbn://api/saved_objects/_bulk_get
[{"type":"dashboard","id":"example-dashboard-1"},{"type":"dashboard","id":"does-not-exist"}]
```

#### curl

```curl
curl \
  -X POST "${KIBANA_URL}/api/saved_objects/_bulk_get" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true" \
  -H "Content-Type: application/json" \
  -d '[{"type":"dashboard","id":"example-dashboard-1"},{"type":"dashboard","id":"does-not-exist"}]'
```

## Response examples

#### A bulk get response with one not found result

```json
{
  "saved_objects": [
    {
      "attributes": {
        "title": "Example dashboard 1"
      },
      "id": "example-dashboard-1",
      "managed": false,
      "namespaces": [
        "default"
      ],
      "references": [],
      "type": "dashboard",
      "updated_at": "2026-04-17T12:00:00.000Z",
      "version": "WzEsMV0="
    },
    {
      "error": {
        "error": "Not Found",
        "message": "Saved object [dashboard/does-not-exist] not found",
        "statusCode": 404
      },
      "id": "does-not-exist",
      "type": "dashboard"
    }
  ]
}
```

#### A bad request error

```json
{
  "error": "Bad Request",
  "message": "Unsupported saved object type(s): unknownType",
  "statusCode": 400
}
```

